org.apache.avro

## Class Resolver.Skip

- java.lang.Object
- - org.apache.avro.Resolver.Action
  - - org.apache.avro.Resolver.Skip

Enclosing class:
  Resolver

    public static class Resolver.Skip
    extends Resolver.Action

This only appears inside `Resolver.RecordAdjust.fieldActions`, i.e., the actions for adjusting the fields of a record. This action indicates that the writer's schema has a field that the reader's does not have, and thus the field should be skipped. Since there is no corresponding reader's schema for the writer's in this case, the `Resolver.Action.reader` field is `null` for this subclass.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.avro.Resolver.Action

`Resolver.Action.Type`

### Field Summary

### Fields inherited from class org.apache.avro.Resolver.Action

`conversion, logicalType, reader, type, writer`

### Constructor Summary

Constructors
Constructor and Description
`Skip(Schema w, GenericData d)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Skip

    public Skip(Schema w,
                GenericData d)